package com.bonus.canteen.core.device.door.model;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("dc_cust_door")
@ApiModel(
   value = "DcCustDoor对象",
   description = ""
)
public class DcCustDoor implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   private Integer id;
   private Long doorId;
   private Long custId;
   private Integer timeZoneId;
   private Integer registryResult;
   private String registryDesc;
   @ApiModelProperty("创建时间")
   @TableField(
      fill = FieldFill.INSERT
   )
   private LocalDateTime crtime;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   @TableField(
      fill = FieldFill.INSERT_UPDATE
   )
   private LocalDateTime uptime;

   public Integer getId() {
      return this.id;
   }

   public Long getDoorId() {
      return this.doorId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Integer getTimeZoneId() {
      return this.timeZoneId;
   }

   public Integer getRegistryResult() {
      return this.registryResult;
   }

   public String getRegistryDesc() {
      return this.registryDesc;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getCrby() {
      return this.crby;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public DcCustDoor setId(final Integer id) {
      this.id = id;
      return this;
   }

   public DcCustDoor setDoorId(final Long doorId) {
      this.doorId = doorId;
      return this;
   }

   public DcCustDoor setCustId(final Long custId) {
      this.custId = custId;
      return this;
   }

   public DcCustDoor setTimeZoneId(final Integer timeZoneId) {
      this.timeZoneId = timeZoneId;
      return this;
   }

   public DcCustDoor setRegistryResult(final Integer registryResult) {
      this.registryResult = registryResult;
      return this;
   }

   public DcCustDoor setRegistryDesc(final String registryDesc) {
      this.registryDesc = registryDesc;
      return this;
   }

   public DcCustDoor setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public DcCustDoor setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public DcCustDoor setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public DcCustDoor setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }
}
